# Images used by this game
image sensei = "png55crop.png" #from animerain.com
image Mika = "png45crop.png" #also from animerain.com
image Hiro = "png34.png" #from animerain.com again
image bgclassroom = im.Scale("classroom-start.png", 800, 600) #from LSF forums (I'm sorry, I forgot who! >.<)
image bgblack = im.Scale("black.png", 800, 600)
image schoolgates = im.Scale("school_overview.jpg", 800, 600) #I think this was mugenjohncel's work
image classroomstudents = im.Scale("classroom_with_students.jpg", 800, 600) #from a free resource page

# Declare characters used by this game.
define me = Character('[name]', window_left_padding=200, show_side_image=Image("Cinto_worried.png", xalign=0.0, yalign=1.0))
define Mika = Character('Mika')
define Hiro = Character('Hiro')
define sensei = Character('Ms. Green')

define slowdissolve = Dissolve(2.2)
image logosample = Image("splashscreen.png")

label splashscreen:
    
    play sound "wolf_howl.mp3"
    show logosample
    with slowdissolve
    $ renpy.pause(2.5, hard=True)
    hide logosample
    with fade
    
    return

# The game starts here.
label start:

$ points = 0

scene bgblack
with fade

"This is a game focused on teaching a brief history of anime and manga."

"Hopefully it'll be somewhat fun and people can learn from it."

"Please note that nothing in this game belongs to me other than the research put into it. Credits go to animerain.com and various LemmaSoft Forums artists for the graphics."

$ name = renpy.input("What's your name?")

"Nice meeting you, %(name)s."

"That said, let's go to class!"

scene schoolgates with fade

"Hiro's Voice" "So I heard we have a different class today, -oh, hey!"

"Mika's Voice" "Yeah, it- mm?"

me "Hey Mika. What were you guys talking about?"

show Hiro at center with dissolve
Hiro "What, no hello for me?"

show Hiro at left
with dissolve

show Mika at right
with dissolve
Mika "(ignoring Hiro) Oh, hi %(name)s. There's a special class this week."


Hiro "Right. Someone's supposed to come and talk to us about manga and history and stuff."

me "Like Osamu Tezuka, history? I'm not really a big fan of his work..."

Mika "So you like Disney more? You know, Tezuka was influenced, big, by Disney, and they even bounced back some things, like…"

Mika "You know, if you can't find the similarities between Tezuka's Kimba the Jungle Emperor and Simba the Lion King you need to find a good therapist."

me "Um, yeah, I guess. But that's really a class? For real?"

Mika "Mm-hm."

Hiro "I heard from the sophomores that there's even tests. They had it last week."

me "Huh. Anyway, let's get going."

Mika "We were waiting for YOU…"

hide image Mika
with blinds

hide image Hiro
with blinds

scene classroomstudents
with blinds

"Student" "So did you hear about-"

"Other Student" "The class? Yeah, how could I not have? I've been looking forward to this ever since I heard about it from the sophomores, I mean, come on!"

"Other Student" "You KNOW how much watashi wa anime ga daisuki desu!"

"Student" "Seriously?"

show sensei at center with dissolve
sensei "Hey, listen!"

"Other Student" "Anyway, have you been reading Bleach lately? There's so much happening, I just LOOOVE it! Even if it's kind of confusing-"

sensei "This staff isn't just for show, you know! It's for whacking annoying kids who won't listen!"

hide sensei with dissolve
show Hiro at left with dissolve

Hiro "That's Ms. Green, I guess. She seems kind of scary..."

show Mika at right with dissolve
Mika "LOL UR A WIMP- Mm? I didn't say anything."

Hiro ".........."

me "Uh, guys? I think we should pay attention…"

hide Mika with dissolve
hide Hiro with dissolve

show sensei at center with dissolve

sensei "Everyone listening now? Yes? No? Okay, great. Let's get started."

sensei "I'm Ms. Green, and yes, this class is about anime and manga. More specifically, its history."

"Entire class" "(collective groan)"

sensei "I bet none of you know what the first manga ever translated to English was. Any guesses?"

hide sensei

menu:
    "Barefoot Gen":
        me "Is it Barefoot Gen by Keiji Nakazawa?"
        show sensei at center with dissolve
        sensei "It certainly was. How'd you know that?"
        jump first_english_manga

    "Astro Boy":
        me "Is it Osamu Tezuka's Astro Boy?"
        show sensei at center with dissolve
        sensei "Nope, but I can see why you'd think that (you uneducated little munchkin)."
        jump first_english_manga

    "To Terra":
        me "Is it Keiko Takemiya's To Terra?"
        show Mika at center with dissolve
        Mika "You read that? Wow."
        hide Mika with dissolve
        show sensei at center with dissolve
        jump first_english_manga

label first_english_manga:

sensei "The correct answer is Keiji Nakazawa's Barefoot Gen. It came over in 1980, or so they say. But that was just a quick trivia. Moving on…"

scene bgblack with fade

scene classroomstudents with blinds

show Hiro at left with dissolve

Hiro "…Right. So now, Ms. Green's letting us make our own projects… So what are we going to do?"

show Mika at right with dissolve
Mika "I dunno."

me "Well, it has to be about history, right? And at least it's not an essay…"

Hiro "Yeah, I don't think I COULD do that, even if I wanted to…"

Mika "Back on topic…"

Mika "Let's start as far back as possible."

Hiro "(checking the internet) Wow, I found one that says it goes back all the way back to the 18th century. You know, those woodblock things."

Mika "Move over and let me read."

Mika "\"In the late 18th century in Japan, 'yellow-cover books' known as kibyoshi began to appear. These were similar to modern manga in that they were produced for the buying masses and featured illustrations paired creatively with dialogue and narration. However, by the mid 19th century, these were nearly gone due to government censorship and new technology.\""

Hiro "So that was the origin of today's manga? I've always heard it was the American influence after World War II."

Mika "Could be. Different sources argue for different things. But it looks like there's only two camps in this debate."

me "Huh. So it's divided into the people who think that manga has its roots in Japan, and the people who think manga has its roots in American animation, like Disney?"

Mika "Yep. Actually, I think what supports that American influence theory is how heavily the Father of Manga was affected by Western animation."

Hiro "The \"Father of Manga\"?"

me "That's what they call Osamu Tezuka, the guy who wrote Astro Boy and Hino Tori, you know, all those early influential manga."

hide Mika with dissolve
hide Hiro with dissolve
show sensei with dissolve

sensei "Alright class, you guys can take a break now. Be back in 10 minutes, mmkay?"

hide sensei with dissolve

show Hiro with dissolve
Hiro "…You know, I actually kind of wanna keep working."

hide Hiro with dissolve
me "Well screw you then. Pokemon time!"

scene schoolgates with blinds

"*Fun time*"

show Hiro with dissolve

Hiro "Yes! Critical hit- No, it survived!"

me "Damn straight Leafeon survived!"

hide Hiro with dissolve
show Mika with dissolve

Mika "If you two idiots are done, break is over. And I found more information, by the way."

hide Mika with blinds

show Hiro with dissolve
Hiro "Sure, {i}mom{/i}. Thanks for waiting for us..."

me "Let's just go."

hide Hiro with blinds
scene classroomstudents with blinds

show Mika at right with dissolve
Mika "I got some facts for us."

show Hiro at left with dissolve
Hiro "Sorry we weren't helping…"

Mika "You're buying me chocolate after this."

Hiro "Huh!? Why me and not %(name)s?"

Mika "Because."

me "*cough*"

Mika "Anyway. Guess where the inspirations for the first anime came from. It's actually not too surprising."

menu:
    "Fairy tales":
        me "They came from fairy tales, right?"
        Mika "Mm. Yeah. See? This isn't too bad…"
    "Nature":
        me "From people's observations of nature?"
        Mika "Nope. I would say try again, but we don't have time."
    "Games":
        me "Video games, right? Like how Pokemon was first a game?"
        Mika "(sarcastic) You're smart. Try thinking about {i}when{/i} the first animations came out…?"

Mika "Number one: The first animes from the 1920s were dramatizations of Oriental folk tales, like the Monkey King and others. Someone writing this down?"

me "Yeah."

Mika "Great. Number two: During World War II, every animator who didn't help make war propaganda with their skills was refused publishing rights, but the guys who did give in and help were published."

Hiro "Ooh. Harsh."

Mika "The Japanese government even commissioned a war anime with the Imperial Navy as cute little  weaselly-things and the Allies as evil devil horn people. Of course, in the anime the weasels beat the devils. Somehow."

Mika "Then after that, progress was slow going because of the recovering post-war economy, and America's anti-pre-war-era thing. But it was around this time that influential creators like Osamu Tezuka started realizing that the subject demand was changing."

Hiro "Anti-pre-war-thing?"

Mika "Mm. At the time, American occupation forces were still in Japan, and they enlisted a censorship of almost everything that was tied to Japanese history/culture. Even stuff like manga. If there was a samurai in it, bam. Censored."

Mika "Anyway, some say this was when modern fantasy and sci-fi first started getting popular thanks to  Tezuka's Astro Boy and other similar works, as well as the fact that they couldn't publish anything the American government didn't like."

Mika "It wasn't a coincidence that a lot of anime and manga of the time were sci-fi or Tarzan-y or glorifying Westernized ways."

Mika "And then, in the 1980s came Hayao Miyazaki and Isao Takahata, best known for Studio Ghibli. After Miyazaki's first smash hit Nausicaa, Studio Ghibli came into being."

Mika "By this time, giant robot animes were starting to make their way over into America. There were over 40 different popular titles with giant robots at the time. This culture leak or whatever started kind of an anime cult, I guess would be the best way to describe it, in America."

Mika "On a slightly different note, do you guys know about the manga production system's origins?"

menu:
    "Tezuka again?":
        Mika "Yup. Real overachiever, that one."
        $ points += 0
    "Someone we haven't heard of?":
       Mika "No, you know of him."
    "Early companies and producers in the manga industry?":
       Mika "Nope, it was just one man."

Mika "It was Tezuka. Again. He, being the nice guy he was, didn't want to turn down any of the producers competing for his work. So he got kinda overworked and was forced for the sake of his health to hire assistants, and it was this decision that carried down through his apprentices/assistants who eventually hired assistants for themselves, and you know."

Hiro "He had time to do this AND go to medical school? Wow."

me "He went to med school?"

Hiro "Yeah. His official title was Dr. Tezuka."

Mika "Tezuka also pioneered the 'story manga' style, which focused on complex plots and long-running story arcs, in contrast to what Japan had previously. Before the 'story manga' came about, manga was scarily similar to America's Sunday comics- very short episodes only loosely tied together at best."

Hiro "Huh. That's a lot of information, I think we're good for now."

me "Not yet, we still have to do up the present day…"

Mika "Mm-hm. But don't you mean, you guys still have to do up to the present day?"

Hiro "…Well, I guess that's fair. I mean, you got us this far, we can finish it! Let's do this!"

hide Mika with dissolve

scene bgblack with fade
scene classroomstudents with blinds

show Hiro with dissolve
Hiro "So because of Osamu Tezuka's Astro Boy, which was targeted at young audiences but was read by almost everyone, manga started being seen as something that was FOR everyone, not just kids like in America? Do I have that right?"

me "Yeah."

me "Also, this one essay on the internet draws the line at the 1950s, because that was when the manga explosion set off by Tezuka started really growing, like what you just said. Before the 1950s, most readers put down manga by the time they hit middle school. But kids born after the 1950s would've grown up with manga and stuff, so…"

Hiro "Yeah, I get what you're saying."

hide Hiro with dissolve
show sensei with dissolve

sensei "I'm sure you were all too wrapped up in your projects to notice, but class is over! See you all tomorrow!"

"Entire class" "(sigh)"

scene bgblack with fade
"Next Day"

scene schoolgates with dissolve
show Hiro at left with dissolve
show Mika at right with dissolve

me "We need to finish today. Tomorrow everyone presents, right?"

Mika "Mm-hm. And then there's a test."

Hiro "What?! Why would they do that to us?"

Mika "Because they knew you'd react like this."

Hiro "Well, whatever. I don't really mind."

me "Me too. We should be OK with all the info we have."

hide Mika with blinds
hide Hiro with blinds
scene classroomstudents with blinds

show sensei with dissolve

sensei "Good morning, my little loves!"

"Student from Yesterday" "Er…good morning…?"

"Other Student from Yesterday" "Good morning!"

sensei "That's much better than yesterday. Thank you."

sensei "Anyway, today you all need to finish your projects, because tomorrow is presentations and the test I know you're all looking forward to~!"

"Entire class" "(Another groan)"

scene classroomstudents with blinds
show Hiro with dissolve

Hiro "We're in the 1960s now, and manga for older people, for example super-dark, sometimes porn manga and anime are being published. Apparently, that wasn't a really good idea though, because it died really fast once something called seinen manga came out."

me "What's that?"

Hiro "Seinen manga was targeted toward older male audiences than the popular shonen (boys') manga that was and still is really popular."

me "Oh, I see."

Hiro "Three companies, Shogakukan, Kodansha, and Shueisha got in a big publishing battle over the attention of the seinen-age readers. Guess which one won?"

menu:
    "Kodansha":
        Hiro "Nope."
    "Shogakukan":
        Hiro "Nope."
    "Shueisha":
        Hiro "Yeah, nice guess."

Hiro "It was losing at first, but eventually Shueisha won because they were a younger company, and therefore had more publishing freedom."

me "Why's that?"

Hiro "Because the other two had contracts with established authors and series already and couldn't change their diversity to what people wanted."

me "Oh, I see."

show Hiro at left with dissolve
show Mika at right with dissolve

Mika "How're you guys doing?"

Hiro "Hi Mika. We got up to the publishing war between the three major companies at the time."

Mika "Shogakukan, Kodansha and Shueisha, right?"

Hiro "How do you know that?"

Mika "Because. Anyway, guess what I just found."

menu:
    "Yaoi":
        me "Yaoi? Yuri?"
        Mika "Mm-hm. I figured we should include some modern manga genres in there…"
        Hiro "No. Please. No."
    "Gum stuck to your shoe":
        me "Did you step on something gross?"
        Mika "Are you an idiot? Wait, redundant question."
    "A dollar":
        me "Money?"
        Mika "I wish. But no."

Mika "There are some weirder parts of manga that a lot of people probably haven't heard of. So I figured we should introduce it, at least a little."

me "So you mean yaoi and yuri? How will the class respond, though?"

Hiro "It scares me, to be honest."

Mika "Nobody cares. C'mon, let's finish."

me "Well, we've got stuff about shonen manga, but nothing about shojo (girls') manga."

Mika "See? That's where I was going with the yaoi."

Hiro "Please. Just stop. Anyway, America's really different from Japan when it comes to girls and comics."

Mika "Mm-hm. American women don't really have a corresponding genre. In Japan, there's a manga for everyone, but in America, it tends to be mostly for guys."

Hiro "That's kind of sad. I've never read any shojo manga though, what're they usually about?"

me "Shojo manga is characterized by the common elements of drama, romance, schoolgirl protagonists, you know. Stuff you don't usually find in shonen manga. It focuses more on mood and subtleties than shonen manga."

Mika "Mm-hm. But did you know shojo manga up till the 1960s was mostly made by men? Women artists could be counted on one hand?"

Hiro "Huh. That's interesting."

Mika "And it was a lot different than today's shojo manga. For instance, today's stuff, like %(name)s said, is usually about romance, right? Guess what is used to be."

menu:
    "Boys and boys, platonic or otherwise":
        Mika "Wrong. That's modern."
    "Girls and boys, platonic or otherwise":
        Mika "Wrong. Did you hear what I just said?"
    "Girls and girls, platonic or otherwise":
        Mika "Close, but no."

"Before, the primary relationships in shojo manga were between mothers and daughters, not boys and girls. Or boys and boys, you know."

Hiro "Stooooooop."

Mika "Anyway. In 1963, they started realizing that since the demand was going up for shojo manga, women could meet those wants better than men could (obviously), so for the next decade or so, there was a steady stream of women artists like Keiko Takemiya and Riyoko Ikeda. Pretty sure you've heard of them, right?"

me "I read Takemiya's To Terra. It was really good."

Hiro "I've heard of Riyoko Ikeda. She wrote Rose of Versailles, a popular shojo manga at the time."

Mika "Back on topic, in the 1980s, there was a trend for greater diversity among manga genres, especially in shojo manga. This just got more complicated when publishers realized that there was a demand among adult women as well for manga made 'just for them'."

Mika "At first in the early 1980s, the attempts at making manga for adult women were kinda like American soap operas and late-night TV; lots of sleazy stuff, I guess you'd call it."

Mika "The publishers got the message a few years later though, because nobody wanted to buy them. Instead, the intended audiences were just going back to the same manga they liked in high school, not this new lady porn stuff."

Mika "Which is not related to yaoi at all, but still. It's an important genre."

Hiro "Why do you keep going back to the subject of Boy x Boy romance…?"

Mika "Because. It's important. I don't get why it's so popular either, okay?"

Mika "You know how today we've got all these ambiguously gay pretty boys?"

Hiro "(cautiously) ……Yes?"

Mika "They (and their fandom) showed up only recently, you know."

Hiro "What about it?"

Mika "Mm. Nothing. Just goes to show how much manga has changed… Before it was the girls who had long eyelashes and long hair and no muscles."

Hiro "Good point, actually. Now switching gender roles is becoming popular. I wonder if that'll ever make it to America's comics? Imagine Superman, but… Superlady-man? With long flowing silver hair and…I'm going to stop now."

me "Good idea. Um… I think we're done. Do you think this is a good ending statement?"

me "\"The future of-\""

hide Mika with dissolve
hide Hiro with dissolve
show sensei with dissolve

sensei "OK boys and girls, we're done for the day."
hide sensei with dissolve

show Hiro at left with dissolve
Hiro "Time went by really fast today…"

show Mika at right with dissolve
Mika "Sure. See you tomorrow."

hide Mika with blinds
hide Hiro with blinds

scene bgblack with fade

"Next Day"

scene classroomstudents with blinds
"After Presentations"

show sensei with dissolve
sensei "Lovely. Man, I wish my brain was as absorbent and spongy as all of yours."

sensei "And now, you all know what comes next~! Test time~!"

hide sensei with dissolve

scene classroomstudents with blinds

"Question 1: Who was called the Father of Manga?"
menu:
    "Astro Boy":
        $ points += 0
    "Osamu Tezuka":
        $ points += 1
    "Hayao Miyazaki":
        $ points += 0

"Question 2: What year was the first English manga translated?"
menu:
    "1980":
        $ points += 1
    "1880":
        $ points += 0
    "1960":
        $ points += 0
"Question 3: What were the first 'manga' called?"
menu:
    "Gekkoukan":
        $ points += 0
    "Gekiga":
        $ points += 0
    "Kibyoshi":
        $ points += 1

"Question 4: What most distinguishes shojo (girls) manga from shonen (boys) manga?"
menu:
    "Relationships":
        $ points += 0
    "Feelings":
        $ points += 0
    "Subtleties":
        $ points += 1
    "All of the above":
        $ points += 1

"Question 5: In the 1980s, what type of anime was becoming super popular, even in America?"
menu:
    "Giant robots":
        $ points += 1
    "Homosexual relationships":
        $ points += 0
    "Westernized styles":
        $ points += 0

"Question 6: Where does today's manga have its roots?"
menu:
    "Ancient Japanese traditions like the kibyoshi":
        $ points += 0
    "American influence":
        $ points += 0
    "Fairy tales":
        $ points += 0
    "All of the above":
        $ points += 0
    "Both answers A & B":
        $ points += 1

"The test is over…"

scene bgblack with dissolve

if points >= 5:
    "A+! Good job!"

if points == 4:
    "B! Try for a higher score!"

if points == 3:
    "C! Pay attention!"

if points <= 2:
    "Fail. Please do try harder!"

return